GetDP(1)

NAME
GetDP - a General environment for the treatment of Discrete Problems

SYNOPSIS
getdp [file] [options]

DESCRIPTION
GetDP is a general finite element solver using mixed elements to discretize de Rham-type complexes in one, two and three dimensions. The main feature of GetDP is the closeness between the input data defining discrete problems (written by the user in ASCII data files) and the symbolic mathematical expressions of these problems.

GetDP is a command-line program. See Gmsh for a graphical front-end.

WARNING
This man page does not describe the syntax of the input files: you should refer to the info documentation for this (e.g. with info getdp). Up-to-date versions of the manual in various formats are available at http://getdp.info.

PROCESSING OPTIONS

file
    is an ASCII file containing the problem definition, i.e., the structures the Texinfo documentation will teach you to create. This file can include other files, so that only one problem definition file should always be given on the command line. The input files containing the problem definition structure are usually given the .pro extension (if so, there is no need to specify the extension on the command line). The name of this file (without the extension) is used as a basis for the creation of intermediate files during the pre-processing and the processing stages.

-pre resolution-id
    performs the pre-processing associated with the resolution called resolution-id. In the pre-processing stage, GetDP creates the geometric database (from the mesh file), identifies the degrees of freedom (the unknowns) of the problem and sets up the constraints on these degrees of freedom. The pre-processing creates a file with a .pre extension. If resolution-id is omitted, the list of available choices is displayed.

-cal
    performs the processing. This requires that a pre-processing has been performed previously, or that a -pre option is given on the same command line. The performed resolution is the one given as an argument to the -pre option. In the processing stage, GetDP executes all the operations of the selected resolution (such as matrix assemblies, system resolutions, ...). The processing creates a file with a .res extension.

-pos post-operation-id(s)
    performs the post-processing operations selected by the post-operation-id(s). This requires that a processing has been performed previously, or that a -cal option is given on the same command line. If post-operation-id is omitted, the list of available choices is displayed.

-msh filename
    reads the mesh database from filename rather than reading it from the default problem file name with the .msh extension appended.

-restart
    resumes time loop processing from where it stopped.

-solve resolution-id
    same as -pre resolution-id -cal.

-split
    saves processing results in separate files (one for each timestep).

-res filename(s)
    loads processing results from filename(s) instead of from the default problem file name with the .res extension appended.

-name string
    uses string as the default generic file name for input or output of mesh, pre-processing and processing files.

-adapt filename(s)
    reads adaptation constraints from filename(s).

-order float
    specifies maximum interpolation order.

LINEAR SOLVER OPTIONS

-solver filename
    specifies solver parameter file.

[PETSc options]
    PETSc options (if GetDP was compiled with PETSc support).

LINEAR SOLVER OPTIONS

-bin
    creates binary output files. -v2 creates mesh-based Gmsh output files when possible

OTHER OPTIONS

-check
    lets you check the problem structure interactively.

-v int
    sets the verbosity level. A value of 0 means that no information will be displayed during processing. Higher values increase the amount of information displayed.

-p int
    sets the progress update rate. This controls the refreshment rate of the counter indicating the progress of the current computation.

-onelab name address
    communicates with OneLab server through socket.

-version
    displays the version number.

-info
    displays detailed version information.

-help
    displays a message listing basic usage and available options.

AUTHORS
Patrick Dular (patrick.dular at ulg.ac.be) and Christophe Geuzaine (cgeuzaine at ulg.ac.be). See the documentation for a comprehensive list of contributors.

SEE ALSO
gmsh(1), GetDP examples (/usr/share/doc/getdp-*/), GetDP homepage (http://getdp.info).

The full documentation for GetDP is maintained as a Texinfo manual. If the info and getdp programs are properly installed at your site, the command

    info getdp

should give you access to the complete manual.